Bug 967663 - [abrt] exaile-3.3.0-1.fc17: __init__.py:53:__init__:ImportError: cannot import name widgets
[abrt] exaile-3.3.0-1.fc17: __init__.py:53:__init__:ImportError: cannot impor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:31b8ab48fd88758f380736c61a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 18:18 EDT by Paul Gross
Modified: 2013-07-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.27 KB, text/plain)
2013-05-27 18:18 EDT, Paul Gross
no flags Details
File: core_backtrace (421 bytes, text/plain)
2013-05-27 18:18 EDT, Paul Gross
no flags Details
File: environ (1.64 KB, text/plain)
2013-05-27 18:18 EDT, Paul Gross
no flags Details
File: smolt_data (3.97 KB, text/plain)
2013-05-27 18:18 EDT, Paul Gross
no flags Details

  None (edit)
Description Paul Gross 2013-05-27 18:18:30 EDT
Description of problem:
I selected "Properties" on a track.

Version-Release number of selected component:
exaile-3.3.0-1.fc17

Additional info:
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
executable:     /usr/share/exaile/exaile.py
kernel:         3.8.13-100.fc17.x86_64
uid:            500
ureports_counter: 1

Truncated backtrace:
__init__.py:53:__init__:ImportError: cannot import name widgets

Traceback (most recent call last):
  File "/usr/share/exaile/xlgui/widgets/menuitems.py", line 125, in _properties_cb
    dialog = properties.TrackPropertiesDialog(dialog_parent, tracks)
  File "/usr/share/exaile/plugins/exfalso/__init__.py", line 149, in properties_dialog
    PLUGIN.run(tracks)
  File "/usr/share/exaile/plugins/exfalso/__init__.py", line 128, in run
    ef = self.exfalso = ExFalsoController(self.on_changed)
  File "/usr/share/exaile/plugins/exfalso/__init__.py", line 53, in __init__
    from quodlibet import widgets
ImportError: cannot import name widgets

Local variables in innermost frame:
const: <module 'quodlibet.const' from '/usr/lib/python2.7/site-packages/quodlibet/const.pyc'>
on_changed: <bound method ExFalsoPlugin.on_changed of <exfalso.ExFalsoPlugin instance at 0x2d64d40>>
self: <exfalso.ExFalsoController instance at 0x2d6be18>
library: <SongFileLibrary object at 0x2ff04b0 (quodlibet+library+_library+Library at 0x2c778e0)>
window: <ExFalsoWindow object at 0x3085190 (quodlibet+qltk+exfalsowindow+ExFalsoWindow at 0x2e8b170)>
ExFalsoWindow: <class 'quodlibet.qltk.exfalsowindow.ExFalsoWindow'>
config: <module 'quodlibet.config' from '/usr/lib/python2.7/site-packages/quodlibet/config.pyc'>

Potential duplicate: bug 909550
Comment 1 Paul Gross 2013-05-27 18:18:34 EDT
Created attachment 753682 [details]
File: backtrace
Comment 2 Paul Gross 2013-05-27 18:18:36 EDT
Created attachment 753683 [details]
File: core_backtrace
Comment 3 Paul Gross 2013-05-27 18:18:39 EDT
Created attachment 753684 [details]
File: environ
Comment 4 Paul Gross 2013-05-27 18:18:41 EDT
Created attachment 753685 [details]
File: smolt_data
Comment 5 Fedora End Of Life 2013-07-03 17:55:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 19:27:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.